import 'package:ampos_flutter_sound/model/status.dart';

class Progress {
  Status status;
  double currentPosition;

  Progress.fromJson(Map<String, dynamic> json)
      : currentPosition = double.parse(json['current_position']),
        status = mapStatus(json['status']);

  @override
  String toString() {
    return 'status: $status, '
        'currentPosition: $currentPosition';
  }
}

class RecordProgress extends Progress {
  RecordProgress.fromJson(Map<String, dynamic> json) : super.fromJson(json);
}

class PlayProgress extends Progress {
  final double duration;

  PlayProgress.fromJson(Map<String, dynamic> json)
      : duration = double.parse(json['duration']),
        super.fromJson(json);

  @override
  String toString() {
    return '${super.toString()}'
        'currentPosition: $currentPosition';
  }
}
